Cофтпанорама 1990, No. 6 (10)                 Составитель: Н.Н. БЕЗРУКОВ
************************************************************************

                 ***************************************
                 *  П А Н О Р А М А   Н О В О С Т Е Й  *
                 ***************************************

*************** 14-17 НОЯБРЯ СОСТОИТСЯ КОНФЕРЕНЦИЯ  ********************
************ ПО МЕТОДАМ И СРЕДСТВАМ ЗАЩИТЫ ОТ ВИРУСОВ ******************

     C 14 по 17 ноября в Киеве на базе КИИГА состоится первая Всесоюзная
конференция "Методы и средства защиты от компьютерных вирусов в операци-
онной системе MS DOS". Конференция организована Авиацентром НТТМ и прой-
дет на коммерческой основе.

     Стоимость регистрации  участников составляет 100 рублей.  Эта сумма
включает пригласительный билет на одного участника,  две дискетты с луч-
шими антивирусными программами (победителями конкурса,  см.  ниже) и эк-
земпляр изданной типографским способом (скорее всего, московским изд.Ле-
онард Эйлер СП "Аспект") монографии "Компьютерная вирусология" в твердом
переплете +(версия 4.0,  ориентировочный обьем 20 п.л.).  Предполагается,
что версия 4.0  станет  базовой на 1991 год, а последующие исправления и
дополнения будут оформляться в виде приложения к  базовому  тексту.  При
перечислении  денег  необходимо  обязательно указывать "оплата участия в
конференции".  Регистрационные взносы следует перечислять  на  расчетный
счет Авиацентра НТТМ: 0004656602 в Жовтневом отд. Промстройбанка СССР г.
Киева, МФО 322067. Регистрация участников, перечисливших взносы после 30
сентября 1990 г. не гарантируется.

     Доклады и  сообщения  на  конференцию  принимаются  до 12 сентября.
Тексты докладов и сообщений (2 экз. с актом экспертизы, оформленные
в соответствии с ГОСТ,  отпечатанные через 2 интервала) следует высылать
по адресу 252058,  Киев-58,  пр. косм. Комарова 1, КИИГА, корп. 3, Авиа-
центр НТТМ,  Оргкомитету конференции "Методы и средства защиты от компь-
ютерных вирусов в операционной системе MS DOS".  Максимальный обьем 20К
(8 страниц через два интервала). Предпочтение будет отдаваться докладам
и сообщениям,  основанным  на реализованных программах.  О принятии док-
ладов авторам будет сообщено до 15 октября. Последние должны представить
свое  сообщение  на  дискете (формат MS WORD или ASCII-файл).  Вопрос  о
форме публикации  докладов  еще не решен.  Оргкомитетом будут предпринят
максимум усилий по привлечению к участию в конференции лучших специалис-
тов по данной тематике. В частности, авторы удачных антивирусных средств,
распространявшихся через СОФТПАНОРАМУ,  а  также  участники  предыдущего
конкурса  будут  приглашены  оргкомитетом  независимо от того, будет ими
представлен доклад или нет.

     В рамках  конференции  будет  проведен  второй конкурс антивирусных
программ, распространяемых бесплатно.  Программы, представляемые на кон-
курс, должны  быть переданы в оргкомитет не позднее 12 сентября. Конкурс
пройдет в трех классах программ:

    - фаги;
    - детекторы и ревизоры ;
    - вакцины и фильтры;

     Для победителей в каждом классе программ установлены следующие премии:

       по классу фагов (включая самообучающиеся):
                           I   премия  1500 рублей
                           II  премия   900 рублей
                           III премия   600 рублей

       детекторы и ревизоры (включая резидентные, а также модули и заго-
       товки на языках высокого уровня,  обеспечивающие самотестирования
       на заражение):

                          I   премия  1200 рублей
                          II  премия   750 рублей
                          III премия   450 рублей

       по классу  вакцин и фильтров (включая специализированные драйверы
       и самоизлечивающиеся оболочки):

                          I   премия  1200 рублей
                          II  премия   750 рублей
                          III премия   450 рублей

     Жюри будет  состоять  из независимых специалистов,  продолжительное
время работающих в данной области, но не участвующих в конкурсе. Предпо-
лагается участие А.Сессы (Днепропетровск), И.Карасика(Москва) и др. спе-
циалистов, включая авторов известных коммерческих программ (Д.Н.Лозинский,
О.Котик, А.Водяник и др.).

      Помимо премий жюри будет также установлен ряд дополнительных премий.
В настоящее время достигнуто соглашение с редакцией журнала ИНТЕРКОМПЬЮТЕР
о специальной премии редакции. Ведутся переговоры с рядом других редакций
и организаций.

     Кроме того, на  конференции  планируется  организовать демонстрацию
коммерческого программного обеспечения для защиты от вирусов.

     Ориентировочные темы секций, которые предполагается включить в программу
конференции:

     - классификация вирусов и методы анализа вирусоподобных программ
       (руководитель секции Н.Н.Безруков);
     - вопросы конструирования, cравнительный анализ и перспективные
       методы усиления фагов (руководитель секции Д.Н.Лозинский);
     - вопросы конструирования детекторов, эвристические методы де-
       тектирования вирусов, организация входного контроля;
     - конструирование ревизоров и алгоритмы самотестирования программ;
     - конструирование резидентных программ защиты, методы контроля
       "on the fly";
     - нетрадиционные методы защиты от вирусов, незаражаемые и
       самоизлечивающиеся программы;
     - инструментальные средства вирусолога: разработка и использование
       средств дизассемблирования, трассировки и других методов анализа
       загрузочных модулей;
     - меры воздействия и возможные санкции против разработчиов
       и распространителей вирусов;
     - методы и алгоритмы защиты от несанкционированного копирования
       коммерческого ПО (руководитель секции В.Герасимов).

     Информационное письмо будет разослано иногородним подписчикам бюл-
летеня несколько позднее.
                                                                    Ред.

***  MICROSOFT УВЛЕКАЕТСЯ КУЛЬТУРИЗМОМ: НАРАЩИВАНИЕ МУСКУЛОВ В ВЕРСИИ С 6.0  ***

    --  улучшен редактор (есть UNDO);
    --  улучшена оптимизация, например, распределение регистров ведется на
        уровне отдельных функций;
    --  улучшена интегрированная среда;
    --  введен важный режим BROWSE, приближающий среду к Unix Programming
        Workbench (возможность работать с дельтами(командами, преобразующими
        одну версию в другую и автоматически выдаваемыми утилитой DIFF)
        отсутствует);
    --  fastcall - новое соглашение о связях ( до трех аргументов передаются
	через регистры);
    --  интегрированный inline ассемблер;
    --  безымянные структуры и unions.

                                                                      Ред.

***************    АЛЬТЕРНАТИВНАЯ ТАБЛИЦА СТАЛА СТАНДАРТОМ    **************

     В начале декабря 1989 года фирма IBM приняла в качестве стандартной
кодовую страницу для Советского Союза,  основанную на альтернативной ко-
дировке и присвоила ей номер 866.
     В отличие от обычной альтернативной таблицы символы F0-F7 в ней за-
резервированы под букву "Ё" и буквы украинского и белорусского алфавитов.
     Фирмы HEWLETT-PACKARD, EPSON, ASHTON-TATE и некоторые другие плани-
руют поддерживать эту кодовую таблицу в своих разработках.
                                                                    Ред.

**********   CODEVIEW 3.0 МОЖЕТ РАЗМЕЩАТЬСЯ В РАСШИРЕННОЙ ПАМЯТИ   *******


     Среди возможностей этой версии:

     --  переопределение пользовательского интерфейса;
     --  просмотр структур и массивов преобразованы в соответствующем
	 представлении элементов;
     --  запоминание конфигурации;
     --  возможности отлаживать программы, собранные из разноязычных
	 модулей;
                                                                    Ред.

***********  ПРОХЛАДНЫЙ ПРИЕМ РУСИФИЦИРОВАННОЙ MS DOS 4.1    ************


     Теперь, когда большинство программистов освоили английский, хотя бы
в объеме, требуемом для понимания сообщений MS DOS, нам предлагают руси-
фицированный вариант:

     --  все сообщения ДОС и утилит выдаются на русском языке;
     --  допускаются русские имена файлов и каталогов;

     Решения, принятые при реализации клавиатурного драйвера  и загрузки
шрифтов экрана, уступают лучшим инициативным разработкам.

     С учетом  того,  что  русифицированная  версия продается за валюту,
особого энтузиазма она у пользователей,  понятно, не вызывает, не говоря
о том,  что сама по себе четвертая версия MS DOS, по ряду параметров от-
личается от 3.3 в худшую  сторону:  чаще  зависает,  большинство компо-
нент страдает ожирением и др.

                                                                    Ред.

**НУЖЕН ЛИ НАМ ПРОФ.БЕЙСИК ИЛИ КАК НИБУДЬ ОБОЙДЕМСЯ СИ++ И ТУРБО ПАСКАЛЕМ*

???  "... Microsoft считает, что Бейсик - это идеальный макроязык для сильных
пользователей, стремящихся к красивому товарному виду своих программ."
???  "... в стадии разработки находится Бейсик профессионального уровня"
???  "... на многих эталонных тестах (sieve, savage, scrntest, hat, на
     всех тестах по графике и многих математических тестах) Microsoft
     QuickBASIC показывает лучшие результаты, нежели многие другие
     (??? - ред.) популярные языки (например Turbo Pascal)"

          Цит. по  Информационному бюллетеню отдела дистрибуции СП ДИАЛОГ
          No.3, март 1990 г.


****** ВЫШЕЛ ПЕРВЫЙ НОМЕР ПОЛЬСКО-СОВЕТСКОГО ЖУРНАЛА "КОМПЬЮТЕР" ******

   При цене 1 руб.  50 коп за 64 стр.  это самый дешевый из "совместных"
журналов. По уровню журнал уступает КомпьютерПресс, но сопоставим с "МИР
ПК".

                               СОДЕРЖАНИЕ

   Бизнес - это война, Марек Цар .......................  7 !
   NeXT, Владислав Маевский ............................  8 !
   Джон Винсент Атанасофф, Халина Мадейчик ............. 10 !
   Первые ПК с микропроцессором 80486, Пшемыслав Внук .. 11 !
   Информатика или компьютерное дело?
        Р.П. Дименштейн, А.Г. Яковлев .................. 13 ?
   Как русифицировалась Ventura, А.Новожилов............ 15 ?
   Русские буквы на вашем компьютере, В.Э. Фигурнов .... 16 +
           К о м п ь ю т е р   н а   р а б о т е
   Что такое IBM-совместимость? Анджей Пиотровский ..... 21 +%
   Как покупать персональный компьютер
          Ю.А. Кобленц-Мишке ........................... 24 +
   Писишки, Зенон Рудак ................................ 30 !

   Xerox Ventura Publisher, Милослав Флорек, Марек Цар . 32 %+
   Готовим издание, Ю.В. Сальникова .................... 37 %+
   MS Word - для профессионалов, Г.В. Сенин ............ 40 +!
   Вирусы, Анджей Кадлоф ............................... 44 ~+?
   Не вреди ближнему своему, Г. Агасандян .............. 47 /?
   10 антивирусных заповедей, Обр. Пшемыслава Внука .... 49 -?
   Как "приручить" MS DOS, В.Э. Фигурнов ............... 50 /++
            К о м п ь ю т е р   д о м а
   Русские буквы на Атари-Бейсик, Анджей Поплавский .... 55
   COPY-COPY для ZX Spectrum, Ян Стожек ................ 57
   Анкета (Заполняют читатели!) ........................ 61
   На книжную полку, Составил К.В Коробов .............. 62 !

И с п о л ь з у е м ы е   о б о з н а ч е н и я:

! - интересный материал;
+ - материал полезен при обучении данной программе или системе;
? - материал содержит спорные, сомнительные или неверные рекомендации;
/   материал устарел;
~ - некачественный перевод;
- - материал содержит явные ошибки, следование рекомендациям может
    принести вред;
% - часть материала не представляет интереса.
                                                            Ред.

>>>>>>>>>>>>>>>> НЕСКОЛЬКО ЦИТАТ ИЗ ЖУРНАЛА "КОМПЬЮТЕР"   <<<<<<<<<<<<<<<

     "Как для биологических, так и для компьютерных вирусов опаснее все-
го правильный диагноз и солидарное взаимодействие всех пользователей"

                                                "Вирусы", Анджей Кадлоф


      "... "писишки" как сигареты: опасны для здоровья, но избавиться от
дурной привычки очень трудно.  И предостережения на упаковках не помога-
ют."

                         Мнение президента Atari Corp. Джека Трэмьела
                         в cтатье "Бизнес - это война", с. 7


****************************************************************************
******************    ВЫШЕЛ ВТОРОЙ НОМЕР ЖУРНАЛА "МИР ПК"  *****************
****************************************************************************

     Журнал содержит ряд интересных статей, в ряде которых высказаны весьма
    спорные мысли:

>>>>>>>>>>>>>>>>>>>>>>>>  НЭ ТРЭБА НАС ДУРИТИ  <<<<<<<<<<<<<<<<<<<<<<<<<<<

     Сегодня цена базового комплекта профессиональной (?-ред) ПЭВМ
составляет внушительную сумму:  ЕС1840 -- 5.9 тыс.  руб., ЕС1841 -- 10.3
тыс. руб., ЕС1842, "Нейрон", "Искра 1030М" - более 11 тыс. руб. И это
при довольно низкой надежности -- 5000 часов наработки на отказ у
ЕС1842 (так ли ? - ред.) и "Искры 1030М", 3000 часов и даже меньше (т.е.
дай бог, если 30 - ред.) у остальных машин.

     ... кроме того, МНТК "Персональные ЭВМ" совместно с рядом предприя-
тий проводит работу по созданию микропроцессора -- функционального ана-
лога процессора 80386. Это один из примеров конкретных работ.

                                 А.А.Васенков, член коллегии ГКВТИ СССР


>>>  Журналы "COMPUTER WORLD" (США) и "МИР ПК" (СССР) приглашают <<<<<<
>>>>>>>>>>>>>>>> (кое-кого, кое-где) на форум Мира  ПК <<<<<<<<<<<<<<<<

    Он пройдет с 10 по 15 июля 1990 г.  на ВДНХ СССР.
    Обещают также выставку ПК и периферийных устройств + 11-12 июля
"национальный конгресс" по программному обеспечению.
    Однодневный билет  3 руб.,  пятидневный билет 8 руб.,  (конгресс  по
програмному обеспечению - 50 руб в день, включая посещение выставки) Ряд
известных  фирм представят свое программное обеспечение.  Справки по тел
187-18-30.

>>>>> ПОПЫТКА РЕАНИМАЦИИ OS/2 C WINDOWS 3.0 В КАЧЕСТВЕ ПЕРЕХОДНОЙ СРЕДЫ <<

     "Microsoft Windows -- это единственная среда,  которая  предоставит
Вам наилучший путь к OS/2, операционной системе будущего"

                              Из рекламы фирмы, опубликованной на стр. 58

>>>>>>>>>>>  КРАХ СЕРИИ ЕС: НИЦЭВТ ГОТОВИТСЯ К МАССОВЫМ СОКРАЩЕНИЯМ  <<<<
                              И ИЩЕТ СПОНСОРА

     "Предлагает зарубежным фирмам,  совместным и советским предприятиям
деловое  сотрудничество  и  посредничество в разработке,  функциональном
развитии и сопровождении программных  программных  продуктов,  программ-
но-технических комплексов и индивидуальных проектов "под ключ" с исполь-
зованием ЭВМ типа ЕС ЭВМ, IBM 360/370 и IBM PC"

                           из рекламы фирмы (цветной разворот стр.74-75)

>>>>>>>>>>>> КОМПЬЮТЕР И ЗДОРОВЬЕ: ДАЙАНА ХЕМБРИ ПРЕДУПРЕЖДАЕТ<<<<<<<<<<

     Сенсационная статья о возможных вредных  последствиях использования
компьютеров.  Автор справедливо предупреждает о возможности развития па-
тологических состояний и приводит на стр. 111 ряд тривиальных, но тем не
менее полезных советов по рациональной организации работы:

    - каждый час в течении 15 минут занимайтесь каким-нибудь другим делом;
    - обращайтесь к специалистам при  регулярном  появлении  болезненных
      ощущений и состояний;
    - если вы курите -- бросайте;

    Также приведен ряд гимнастических упражнений, полезных для пользова-
телей ПЭВМ, в особенности женщин.

    В заключении автор цитирует чьи-то мудрые слова:  "Предпримите неко-
торые меры предосторожности,  иначе вам придется расплачиваться. Наш ор-
ганизм не компьютер.  В нас есть детали,  которые нельзя заменить". Жаль
только, что действенность таких рекомендаций невелика.

                                                                    Ред.

**************  В ПОДПИСАННОМ С АМЕРИКАНЦАМИ СОГЛАШЕНИИ ****************
**************   ЕСТЬ  РАЗДЕЛ  О ПРИНЯТИИ СССР ЗАКОНОВ  ****************
***************  ОБ ОХРАНЕ АВТОРСКИХ ПРАВАХ НА СОФТВЕР *****************

     ..."В соглашении есть раздел о защите прав на интеллектуальную  соб-
ственность, включающую защиту программ для ЭВМ..."
     ..."Мы взяли  обязательство  в течении 1990-1991 гг.  разработать и
передать в Верховный Совет СССР законопроекты по вопросам,  которые пока
не регулируются нашим законами.
     Соглашение создает правовые  возможности  для  снятия  американцами
всех ограничений на финансовые гарантии и кредитование как по государст-
венной, так и по частной линии...".

                                 Из выступления М.С.Горбачева
                                 на третьей сесии Верховного Совета СССР,
                                 ИЗВЕСТИЯ 14 июня 1990 г.

********* ИБМ ПОСТАВИТ БОЛЕЕ 13 ТЫС. ПЕРСОНАЛЬНЫХ КОМПЬЮТЕРОВ  **********

     ..."На первоначальном этапе проекта корпорация ИБМ поставит нам бо-
лее 13 тысяч персональных компьютеров для школ, обучения инвалидов и де-
тей с дефектами слуха и зрения, а также для подготовки менеджеров"

                                 Из выступления М.С.Горбачева
                                 на третьей сесии Верховного Совета СССР,
                                 ИЗВЕСТИЯ 14 июня 1990 г.
